<persistence xmlns="http://java.sun.com/xml/ns/persistence"
             xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
             xsi:schemaLocation="http://java.sun.com/xml/ns/persistence http://java.sun.com/xml/ns/persistence/persistence_2_0.xsd"
             version="2.0">

    <!-- Configurazione datasource -->
    <persistence-unit name="VALORIZZATORE" transaction-type="RESOURCE_LOCAL">

        <provider>org.eclipse.persistence.jpa.PersistenceProvider</provider>

        <!--jta-data-source>jdbc/valorizzatoreTest</jta-data-source-->
        <jta-data-source>jdbc/valorizzatore</jta-data-source>

        <class>it.siae.valorizzatore.model.security.User</class>
        <class>it.siae.valorizzatore.model.security.Role</class>
        <class>it.siae.valorizzatore.model.security.UserRole</class>
        <class>it.siae.valorizzatore.model.security.Profile</class>
        <class>it.siae.valorizzatore.model.security.RoleProfile</class>
        <class>it.siae.valorizzatore.model.TrattamentoPM</class>
        <class>it.siae.valorizzatore.model.MovimentoContabile</class>
        <class>it.siae.valorizzatore.model.EventiPagati</class>
        <class>it.siae.valorizzatore.model.ProgrammaMusicale</class>
        <class>it.siae.valorizzatore.model.CampionamentoConfig</class>
        <class>it.siae.valorizzatore.model.Configurazione</class>
        <class>it.siae.valorizzatore.model.EsecuzioneRicalcolo</class>
        <class>it.siae.valorizzatore.model.ImportoRicalcolato</class>
        <class>it.siae.valorizzatore.model.SospesiRicalcolo</class>
        <class>it.siae.valorizzatore.model.MovimentazioneLogisticaPM</class>
        <class>it.siae.valorizzatore.model.Manifestazione</class>
        <class>it.siae.valorizzatore.model.Cartella</class>
        <class>it.siae.valorizzatore.model.Utilizzazione</class>
        <class>it.siae.valorizzatore.model.DirettoreEsecuzione</class>
        <class>it.siae.valorizzatore.model.TracciamentoApplicativo</class>
        <class>it.siae.valorizzatore.model.MovimentoSiada</class>
        <class>it.siae.valorizzatore.model.MovimentoSiada2243</class>
        <class>it.siae.valorizzatore.model.Circoscrizione</class>

        <exclude-unlisted-classes>false</exclude-unlisted-classes>

        <properties>
            <property name="eclipselink.target-server" value="WebLogic_10" />
            <!--property name="toplink.target-server" value="oracle.toplink.platform.server.wls.WebLogicPlatform" /-->
            <property name="eclipselink.logging.level" value="FINE"/>
        </properties>
    </persistence-unit>
</persistence>